#include <bits/stdc++.h>

using namespace std;

int zni[1005];

int main(){
    int n, l, s=-1;
    cin>>n>>l;

    for(int i=0; i<n; i++) cin>>zni[i];

    for(int i=0; i<n; i++)
    {
        if(zni[i]<=l)
        {
            s=i+1;
            break;
        }
    }

    cout<<s<<'\n';

    return 0;
}